---
title: Update a dashboard
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Dashboards
---

# Update a dashboard{% #update-a-dashboard %}

{% tab title="v1" %}

| Datadog site      | API endpoint                                                      |
| ----------------- | ----------------------------------------------------------------- |
| ap1.datadoghq.com | PUT https://api.ap1.datadoghq.com/api/v1/dashboard/{dashboard_id} |
| ap2.datadoghq.com | PUT https://api.ap2.datadoghq.com/api/v1/dashboard/{dashboard_id} |
| app.datadoghq.eu  | PUT https://api.datadoghq.eu/api/v1/dashboard/{dashboard_id}      |
| app.ddog-gov.com  | PUT https://api.ddog-gov.com/api/v1/dashboard/{dashboard_id}      |
| us2.ddog-gov.com  | PUT https://api.us2.ddog-gov.com/api/v1/dashboard/{dashboard_id}  |
| app.datadoghq.com | PUT https://api.datadoghq.com/api/v1/dashboard/{dashboard_id}     |
| us3.datadoghq.com | PUT https://api.us3.datadoghq.com/api/v1/dashboard/{dashboard_id} |
| us5.datadoghq.com | PUT https://api.us5.datadoghq.com/api/v1/dashboard/{dashboard_id} |

### Overview

Update a dashboard using the specified ID. This endpoint requires the `dashboards_write` permission.

OAuth apps require the `dashboards_write` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#dashboards) to access this endpoint.



### Arguments

#### Path Parameters

| Name                           | Type   | Description              |
| ------------------------------ | ------ | ------------------------ |
| dashboard_id [*required*] | string | The ID of the dashboard. |

### Request

#### Body Data (required)

Update Dashboard request body.

{% tab title="Model" %}

| Parent field              | Field                                      | Type            | Description                                                                                                                                                                                                                                                                                                                                                                                                           |
| ------------------------- | ------------------------------------------ | --------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
|                           | author_handle                              | string          | Identifier of the dashboard author.                                                                                                                                                                                                                                                                                                                                                                                   |
|                           | author_name                                | string          | Name of the dashboard author.                                                                                                                                                                                                                                                                                                                                                                                         |
|                           | created_at                                 | date-time       | Creation date of the dashboard.                                                                                                                                                                                                                                                                                                                                                                                       |
|                           | description                                | string          | Description of the dashboard.                                                                                                                                                                                                                                                                                                                                                                                         |
|                           | id                                         | string          | ID of the dashboard.                                                                                                                                                                                                                                                                                                                                                                                                  |
|                           | is_read_only                               | boolean         | **DEPRECATED**: Whether this dashboard is read-only. If True, only the author and admins can make changes to it.                                                                                                                                                                                                                                                                                                      | This property is deprecated; please use the [Restriction Policies API](https://docs.datadoghq.com/api/latest/restriction-policies.md) instead to manage write authorization for individual dashboards. |
|                           | layout_type [*required*]              | enum            | Layout type of the dashboard. Allowed enum values: `ordered,free`                                                                                                                                                                                                                                                                                                                                                     |
|                           | modified_at                                | date-time       | Modification date of the dashboard.                                                                                                                                                                                                                                                                                                                                                                                   |
|                           | notify_list                                | [string]        | List of handles of users to notify when changes are made to this dashboard.                                                                                                                                                                                                                                                                                                                                           |
|                           | reflow_type                                | enum            | Reflow type for a **new dashboard layout** dashboard. Set this only when layout type is 'ordered'. If set to 'fixed', the dashboard expects all widgets to have a layout, and if it's set to 'auto', widgets should not have layouts. Allowed enum values: `auto,fixed`                                                                                                                                               |
|                           | restricted_roles                           | [string]        | A list of role identifiers. Only the author and users associated with at least one of these roles can edit this dashboard.                                                                                                                                                                                                                                                                                            |
|                           | tabs                                       | [object]        | List of tabs for organizing dashboard widgets into groups.                                                                                                                                                                                                                                                                                                                                                            |
| tabs                      | id [*required*]                       | uuid            | UUID of the tab.                                                                                                                                                                                                                                                                                                                                                                                                      |
| tabs                      | name [*required*]                     | string          | Name of the tab.                                                                                                                                                                                                                                                                                                                                                                                                      |
| tabs                      | widget_ids [*required*]               | [integer]       | List of widget IDs belonging to this tab. The backend also accepts positional references in @N format (1-indexed) as a convenience for Terraform and other declarative tools.                                                                                                                                                                                                                                         |
|                           | tags                                       | [string]        | List of team names representing ownership of a dashboard.                                                                                                                                                                                                                                                                                                                                                             |
|                           | template_variable_presets                  | [object]        | Array of template variables saved views.                                                                                                                                                                                                                                                                                                                                                                              |
| template_variable_presets | name                                       | string          | The name of the variable.                                                                                                                                                                                                                                                                                                                                                                                             |
| template_variable_presets | template_variables                         | [object]        | List of variables.                                                                                                                                                                                                                                                                                                                                                                                                    |
| template_variables        | name                                       | string          | The name of the variable.                                                                                                                                                                                                                                                                                                                                                                                             |
| template_variables        | value                                      | string          | **DEPRECATED**: (deprecated) The value of the template variable within the saved view. Cannot be used in conjunction with `values`.                                                                                                                                                                                                                                                                                   |
| template_variables        | values                                     | [string]        | One or many template variable values within the saved view, which will be unioned together using `OR` if more than one is specified. Cannot be used in conjunction with `value`.                                                                                                                                                                                                                                      |
|                           | template_variables                         | [object]        | List of template variables for this dashboard.                                                                                                                                                                                                                                                                                                                                                                        |
| template_variables        | available_values                           | [string]        | The list of values that the template variable drop-down is limited to.                                                                                                                                                                                                                                                                                                                                                |
| template_variables        | default                                    | string          | **DEPRECATED**: (deprecated) The default value for the template variable on dashboard load. Cannot be used in conjunction with `defaults`.                                                                                                                                                                                                                                                                            |
| template_variables        | defaults                                   | [string]        | One or many default values for template variables on load. If more than one default is specified, they will be unioned together with `OR`. Cannot be used in conjunction with `default`.                                                                                                                                                                                                                              |
| template_variables        | name [*required*]                     | string          | The name of the variable.                                                                                                                                                                                                                                                                                                                                                                                             |
| template_variables        | prefix                                     | string          | The tag prefix associated with the variable. Only tags with this prefix appear in the variable drop-down.                                                                                                                                                                                                                                                                                                             |
| template_variables        | type                                       | string          | The type of variable. This is to differentiate between filter variables (interpolated in query) and group by variables (interpolated into group by).                                                                                                                                                                                                                                                                  |
|                           | title [*required*]                    | string          | Title of the dashboard.                                                                                                                                                                                                                                                                                                                                                                                               |
|                           | url                                        | string          | The URL of the dashboard.                                                                                                                                                                                                                                                                                                                                                                                             |
|                           | widgets [*required*]                  | [object]        | List of widgets to display on the dashboard.                                                                                                                                                                                                                                                                                                                                                                          |
| widgets                   | definition [*required*]               |  <oneOf>   | [Definition of the widget](https://docs.datadoghq.com/dashboards/widgets.md).                                                                                                                                                                                                                                                                                                                                         |
| definition                | Option 1                                   | object          | Alert graphs are timeseries graphs showing the current status of any monitor defined on your system.                                                                                                                                                                                                                                                                                                                  |
| Option 1                  | alert_id [*required*]                 | string          | ID of the alert to use in the widget.                                                                                                                                                                                                                                                                                                                                                                                 |
| Option 1                  | description                                | string          | The description of the widget.                                                                                                                                                                                                                                                                                                                                                                                        |
| Option 1                  | time                                       |  <oneOf>   | Time setting for the widget.                                                                                                                                                                                                                                                                                                                                                                                          |
| time                      | Option 1                                   | object          | Wrapper for live span                                                                                                                                                                                                                                                                                                                                                                                                 |
| Option 1                  | hide_incomplete_cost_data                  | boolean         | Whether to hide incomplete cost data in the widget.                                                                                                                                                                                                                                                                                                                                                                   |
| Option 1                  | live_span                                  | enum            | The available timeframes depend on the widget you are using. Allowed enum values: `1m,5m,10m,15m,30m,1h,4h,1d,2d,1w`                                                                                                                                                                                                                                                                                                  |
| time                      | Option 2                                   | object          | Used for arbitrary live span times, such as 17 minutes or 6 hours.                                                                                                                                                                                                                                                                                                                                                    |
| Option 2                  | hide_incomplete_cost_data                  | boolean         | Whether to hide incomplete cost data in the widget.                                                                                                                                                                                                                                                                                                                                                                   |
| Option 2                  | type [*required*]                     | enum            | Type "live" denotes a live span in the new format. Allowed enum values: `live`                                                                                                                                                                                                                                                                                                                                        |
| Option 2                  | unit [*required*]                     | enum            | Unit of the time span. Allowed enum values: `minute,hour,day,week,month,year`                                                                                                                                                                                                                                                                                                                                         |
| Option 2                  | value [*required*]                    | int64           | Value of the time span.                                                                                                                                                                                                                                                                                                                                                                                               |
| time                      | Option 3                                   | object          | Used for fixed span times, such as 'March 1 to March 7'.                                                                                                                                                                                                                                                                                                                                                              |
| Option 3                  | from [*required*]                     | int64           | Start time in milliseconds since epoch.                                                                                                                                                                                                                                                                                                                                                                               |
| Option 3                  | hide_incomplete_cost_data                  | boolean         | Whether to hide incomplete cost data in the widget.                                                                                                                                                                                                                                                                                                                                                                   |
| Option 3                  | to [*required*]                       | int64           | End time in milliseconds since epoch.                                                                                                                                                                                                                                                                                                                                                                                 |
| Option 3                  | type [*required*]                     | enum            | Type "fixed" denotes a fixed span. Allowed enum values: `fixed`                                                                                                                                                                                                                                                                                                                                                       |
| Option 1                  | title                                      | string          | The title of the widget.                                                                                                                                                                                                                                                                                                                                                                                              |
| Option 1                  | title_align                                | enum            | How to align the text on the widget. Allowed enum values: `center,left,right`                                                                                                                                                                                                                                                                                                                                         |
| Option 1                  | title_size                                 | string          | Size of the title.                                                                                                                                                                                                                                                                                                                                                                                                    |
| Option 1                  | type [*required*]                     | enum            | Type of the alert graph widget. Allowed enum values: `alert_graph`                                                                                                                                                                                                                                                                                                                                                    |
| Option 1                  | viz_type [*required*]                 | enum            | Whether to display the Alert Graph as a timeseries or a top list. Allowed enum values: `timeseries,toplist`                                                                                                                                                                                                                                                                                                           |
| definition                | Option 2                                   | object          | Alert values are query values showing the current value of the metric in any monitor defined on your system.                                                                                                                                                                                                                                                                                                          |
| Option 2                  | alert_id [*required*]                 | string          | ID of the alert to use in the widget.                                                                                                                                                                                                                                                                                                                                                                                 |
| Option 2                  | description                                | string          | The description of the widget.                                                                                                                                                                                                                                                                                                                                                                                        |
| Option 2                  | precision                                  | int64           | Number of decimal to show. If not defined, will use the raw value.                                                                                                                                                                                                                                                                                                                                                    |
| Option 2                  | text_align                                 | enum            | How to align the text on the widget. Allowed enum values: `center,left,right`                                                                                                                                                                                                                                                                                                                                         |
| Option 2                  | title                                      | string          | Title of the widget.                                                                                                                                                                                                                                                                                                                                                                                                  |
| Option 2                  | title_align                                | enum            | How to align the text on the widget. Allowed enum values: `center,left,right`                                                                                                                                                                                                                                                                                                                                         |
| Option 2                  | title_size                                 | string          | Size of value in the widget.                                                                                                                                                                                                                                                                                                                                                                                          |
| Option 2                  | type [*required*]                     | enum            | Type of the alert value widget. Allowed enum values: `alert_value`                                                                                                                                                                                                                                                                                                                                                    |
| Option 2                  | unit                                       | string          | Unit to display with the value.                                                                                                                                                                                                                                                                                                                                                                                       |
| definition                | Option 3                                   | object          | The bar chart visualization displays categorical data using vertical bars, allowing you to compare values across different groups.                                                                                                                                                                                                                                                                                    |
| Option 3                  | custom_links                               | [object]        | List of custom links.                                                                                                                                                                                                                                                                                                                                                                                                 |
| custom_links              | is_hidden                                  | boolean         | The flag for toggling context menu link visibility.                                                                                                                                                                                                                                                                                                                                                                   |
| custom_links              | label                                      | string          | The label for the custom link URL. Keep the label short and descriptive. Use metrics and tags as variables.                                                                                                                                                                                                                                                                                                           |
| custom_links              | link                                       | string          | The URL of the custom link. URL must include `http` or `https`. A relative URL must start with `/`.                                                                                                                                                                                                                                                                                                                   |
| custom_links              | override_label                             | string          | The label ID that refers to a context menu link. Can be `logs`, `hosts`, `traces`, `profiles`, `processes`, `containers`, or `rum`.                                                                                                                                                                                                                                                                                   |
| Option 3                  | description                                | string          | The description of the widget.                                                                                                                                                                                                                                                                                                                                                                                        |
| Option 3                  | requests [*required*]                 | [object]        | List of bar chart widget requests.                                                                                                                                                                                                                                                                                                                                                                                    |
| requests                  | apm_query                                  | object          | **DEPRECATED**: Deprecated - Use `queries` and `formulas` instead.                                                                                                                                                                                                                                                                                                                                                    |
| apm_query                 | compute                                    | object          | Define computation for a log query.                                                                                                                                                                                                                                                                                                                                                                                   |
| compute                   | aggregation [*required*]              | string          | The aggregation method.                                                                                                                                                                                                                                                                                                                                                                                               |
| compute                   | facet                                      | string          | Facet name.                                                                                                                                                                                                                                                                                                                                                                                                           |
| compute                   | interval                                   | int64           | Define a time interval in seconds.                                                                                                                                                                                                                                                                                                                                                                                    |
| apm_query                 | group_by                                   | [object]        | List of tag prefixes to group by in the case of a cluster check.                                                                                                                                                                                                                                                                                                                                                      |
| group_by                  | facet [*required*]                    | string          | Facet name.                                                                                                                                                                                                                                                                                                                                                                                                           |
| group_by                  | limit                                      | int64           | Maximum number of items in the group.                                                                                                                                                                                                                                                                                                                                                                                 |
| group_by                  | sort                                       | object          | Define a sorting method.                                                                                                                                                                                                                                                                                                                                                                                              |
| sort                      | aggregation [*required*]              | string          | The aggregation method.                                                                                                                                                                                                                                                                                                                                                                                               |
| sort                      | facet                                      | string          | Facet name.                                                                                                                                                                                                                                                                                                                                                                                                           |
| sort                      | order [*required*]                    | enum            | Widget sorting methods. Allowed enum values: `asc,desc`                                                                                                                                                                                                                                                                                                                                                               |
| apm_query                 | index                                      | string          | A coma separated-list of index names. Use "*" query all indexes at once. [Multiple Indexes](https://docs.datadoghq.com/logs/indexes.md#multiple-indexes)                                                                                                                                                                                                                                                              |
| apm_query                 | multi_compute                              | [object]        | This field is mutually exclusive with `compute`.                                                                                                                                                                                                                                                                                                                                                                      |
| multi_compute             | aggregation [*required*]              | string          | The aggregation method.                                                                                                                                                                                                                                                                                                                                                                                               |
| multi_compute             | facet                                      | string          | Facet name.                                                                                                                                                                                                                                                                                                                                                                                                           |
| multi_compute             | interval                                   | int64           | Define a time interval in seconds.                                                                                                                                                                                                                                                                                                                                                                                    |
| apm_query                 | search                                     | object          | The query being made on the logs.                                                                                                                                                                                                                                                                                                                                                                                     |
| search                    | query [*required*]                    | string          | Search value to apply.                                                                                                                                                                                                                                                                                                                                                                                                |
| requests                  | audit_query                                | object          | **DEPRECATED**: Deprecated - Use `queries` and `formulas` instead.                                                                                                                                                                                                                                                                                                                                                    |
| audit_query               | compute                                    | object          | Define computation for a log query.                                                                                                                                                                                                                                                                                                                                                                                   |
| compute                   | aggregation [*required*]              | string          | The aggregation method.                                                                                                                                                                                                                                                                                                                                                                                               |
| compute                   | facet                                      | string          | Facet name.                                                                                                                                                                                                                                                                                                                                                                                                           |
| compute                   | interval                                   | int64           | Define a time interval in seconds.                                                                                                                                                                                                                                                                                                                                                                                    |
| audit_query               | group_by                                   | [object]        | List of tag prefixes to group by in the case of a cluster check.                                                                                                                                                                                                                                                                                                                                                      |
| group_by                  | facet [*required*]                    | string          | Facet name.                                                                                                                                                                                                                                                                                                                                                                                                           |
| group_by                  | limit                                      | int64           | Maximum number of items in the group.                                                                                                                                                                                                                                                                                                                                                                                 |
| group_by                  | sort                                       | object          | Define a sorting method.                                                                                                                                                                                                                                                                                                                                                                                              |
| sort                      | aggregation [*required*]              | string          | The aggregation method.                                                                                                                                                                                                                                                                                                                                                                                               |
| sort                      | facet                                      | string          | Facet name.                                                                                                                                                                                                                                                                                                                                                                                                           |
| sort                      | order [*required*]                    | enum            | Widget sorting methods. Allowed enum values: `asc,desc`                                                                                                                                                                                                                                                                                                                                                               |
| audit_query               | index                                      | string          | A coma separated-list of index names. Use "*" query all indexes at once. [Multiple Indexes](https://docs.datadoghq.com/logs/indexes.md#multiple-indexes)                                                                                                                                                                                                                                                              |
| audit_query               | multi_compute                              | [object]        | This field is mutually exclusive with `compute`.                                                                                                                                                                                                                                                                                                                                                                      |
| multi_compute             | aggregation [*required*]              | string          | The aggregation method.                                                                                                                                                                                                                                                                                                                                                                                               |
| multi_compute             | facet                                      | string          | Facet name.                                                                                                                                                                                                                                                                                                                                                                                                           |
| multi_compute             | interval                                   | int64           | Define a time interval in seconds.                                                                                                                                                                                                                                                                                                                                                                                    |
| audit_query               | search                                     | object          | The query being made on the logs.                                                                                                                                                                                                                                                                                                                                                                                     |
| search                    | query [*required*]                    | string          | Search value to apply.                                                                                                                                                                                                                                                                                                                                                                                                |
| requests                  | conditional_formats                        | [object]        | List of conditional formats.                                                                                                                                                                                                                                                                                                                                                                                          |
| conditional_formats       | comparator [*required*]               | enum            | Comparator to apply. Allowed enum values: `=,>,>=,<,<=`                                                                                                                                                                                                                                                                                                                                                               |
| conditional_formats       | custom_bg_color                            | string          | Color palette to apply to the background, same values available as palette.                                                                                                                                                                                                                                                                                                                                           |
| conditional_formats       | custom_fg_color                            | string          | Color palette to apply to the foreground, same values available as palette.                                                                                                                                                                                                                                                                                                                                           |
| conditional_formats       | hide_value                                 | boolean         | True hides values.                                                                                                                                                                                                                                                                                                                                                                                                    |
| conditional_formats       | image_url                                  | string          | Displays an image as the background.                                                                                                                                                                                                                                                                                                                                                                                  |
| conditional_formats       | metric                                     | string          | Metric from the request to correlate this conditional format with.                                                                                                                                                                                                                                                                                                                                                    |
| conditional_formats       | palette [*required*]                  | enum            | Color palette to apply. Allowed enum values: `blue,custom_bg,custom_image,custom_text,gray_on_white,grey,green,orange,red,red_on_white`                                                                                                                                                                                                                                                                               |
| conditional_formats       | timeframe                                  | string          | Defines the displayed timeframe.                                                                                                                                                                                                                                                                                                                                                                                      |
| conditional_formats       | value [*required*]                    | double          | Value for the comparator.                                                                                                                                                                                                                                                                                                                                                                                             |
| requests                  | event_query                                | object          | **DEPRECATED**: Deprecated - Use `queries` and `formulas` instead.                                                                                                                                                                                                                                                                                                                                                    |
| event_query               | compute                                    | object          | Define computation for a log query.                                                                                                                                                                                                                                                                                                                                                                                   |
| compute                   | aggregation [*required*]              | string          | The aggregation method.                                                                                                                                                                                                                                                                                                                                                                                               |
| compute                   | facet                                      | string          | Facet name.                                                                                                                                                                                                                                                                                                                                                                                                           |
| compute                   | interval                                   | int64           | Define a time interval in seconds.                                                                                                                                                                                                                                                                                                                                                                                    |
| event_query               | group_by                                   | [object]        | List of tag prefixes to group by in the case of a cluster check.                                                                                                                                                                                                                                                                                                                                                      |
| group_by                  | facet [*required*]                    | string          | Facet name.                                                                                                                                                                                                                                                                                                                                                                                                           |
| group_by                  | limit                                      | int64           | Maximum number of items in the group.                                                                                                                                                                                                                                                                                                                                                                                 |
| group_by                  | sort                                       | object          | Define a sorting method.                                                                                                                                                                                                                                                                                                                                                                                              |
| sort                      | aggregation [*required*]              | string          | The aggregation method.                                                                                                                                                                                                                                                                                                                                                                                               |
| sort                      | facet                                      | string          | Facet name.                                                                                                                                                                                                                                                                                                                                                                                                           |
| sort                      | order [*required*]                    | enum            | Widget sorting methods. Allowed enum values: `asc,desc`                                                                                                                                                                                                                                                                                                                                                               |
| event_query               | index                                      | string          | A coma separated-list of index names. Use "*" query all indexes at once. [Multiple Indexes](https://docs.datadoghq.com/logs/indexes.md#multiple-indexes)                                                                                                                                                                                                                                                              |
| event_query               | multi_compute                              | [object]        | This field is mutually exclusive with `compute`.                                                                                                                                                                                                                                                                                                                                                                      |
| multi_compute             | aggregation [*required*]              | string          | The aggregation method.                                                                                                                                                                                                                                                                                                                                                                                               |
| multi_compute             | facet                                      | string          | Facet name.                                                                                                                                                                                                                                                                                                                                                                                                           |
| multi_compute             | interval                                   | int64           | Define a time interval in seconds.                                                                                                                                                                                                                                                                                                                                                                                    |
| event_query               | search                                     | object          | The query being made on the logs.                                                                                                                                                                                                                                                                                                                                                                                     |
| search                    | query [*required*]                    | string          | Search value to apply.                                                                                                                                                                                                                                                                                                                                                                                                |
| requests                  | formulas                                   | [object]        | List of formulas that operate on queries.                                                                                                                                                                                                                                                                                                                                                                             |
| formulas                  | alias                                      | string          | Expression alias.                                                                                                                                                                                                                                                                                                                                                                                                     |
| formulas                  | cell_display_mode                          | enum            | Define a display mode for the table cell. Allowed enum values: `number,bar,trend`                                                                                                                                                                                                                                                                                                                                     |
| formulas                  | cell_display_mode_options                  | object          | Cell display mode options for the widget formula. (only if `cell_display_mode` is set to `trend`).                                                                                                                                                                                                                                                                                                                    |
| cell_display_mode_options | trend_type                                 | enum            | Trend type for the cell display mode options. Allowed enum values: `area,line,bars`                                                                                                                                                                                                                                                                                                                                   |
| cell_display_mode_options | y_scale                                    | enum            | Y scale for the cell display mode options. Allowed enum values: `shared,independent`                                                                                                                                                                                                                                                                                                                                  |
| formulas                  | conditional_formats                        | [object]        | List of conditional formats.                                                                                                                                                                                                                                                                                                                                                                                          |
| conditional_formats       | comparator [*required*]               | enum            | Comparator to apply. Allowed enum values: `=,>,>=,<,<=`                                                                                                                                                                                                                                                                                                                                                               |
| conditional_formats       | custom_bg_color                            | string          | Color palette to apply to the background, same values available as palette.                                                                                                                                                                                                                                                                                                                                           |
| conditional_formats       | custom_fg_color                            | string          | Color palette to apply to the foreground, same values available as palette.                                                                                                                                                                                                                                                                                                                                           |
| conditional_formats       | hide_value                                 | boolean         | True hides values.                                                                                                                                                                                                                                                                                                                                                                                                    |
| conditional_formats       | image_url                                  | string          | Displays an image as the background.                                                                                                                                                                                                                                                                                                                                                                                  |
| conditional_formats       | metric                                     | string          | Metric from the request to correlate this conditional format with.                                                                                                                                                                                                                                                                                                                                                    |
| conditional_formats       | palette [*required*]                  | enum            | Color palette to apply. Allowed enum values: `blue,custom_bg,custom_image,custom_text,gray_on_white,grey,green,orange,red,red_on_white`                                                                                                                                                                                                                                                                               |
| conditional_formats       | timeframe                                  | string          | Defines the displayed timeframe.                                                                                                                                                                                                                                                                                                                                                                                      |
| conditional_formats       | value [*required*]                    | double          | Value for the comparator.                                                                                                                                                                                                                                                                                                                                                                                             |
| formulas                  | formula [*required*]                  | string          | String expression built from queries, formulas, and functions.                                                                                                                                                                                                                                                                                                                                                        |
| formulas                  | limit                                      | object          | Options for limiting results returned.                                                                                                                                                                                                                                                                                                                                                                                |
| limit                     | count                                      | int64           | Number of results to return.                                                                                                                                                                                                                                                                                                                                                                                          |
| limit                     | order                                      | enum            | Direction of sort. Allowed enum values: `asc,desc`                                                                                                                                                                                                                                                                                                                                                                    |
| formulas                  | number_format                              | object          | Number format options for the widget.                                                                                                                                                                                                                                                                                                                                                                                 |
| number_format             | unit                                       |  <oneOf>   | Number format unit.                                                                                                                                                                                                                                                                                                                                                                                                   |
| unit                      | Option 1                                   | object          | Canonical unit.                                                                                                                                                                                                                                                                                                                                                                                                       |
| Option 1                  | per_unit_name                              | string          | The name of the unit per item.                                                                                                                                                                                                                                                                                                                                                                                        |
| Option 1                  | type                                       | enum            | The type of unit scale. Allowed enum values: `canonical_unit`                                                                                                                                                                                                                                                                                                                                                         |
| Option 1                  | unit_name                                  | string          | The name of the unit.                                                                                                                                                                                                                                                                                                                                                                                                 |
| unit                      | Option 2                                   | object          | Custom unit.                                                                                                                                                                                                                                                                                                                                                                                                          |
| Option 2                  | label                                      | string          | The label for the custom unit.                                                                                                                                                                                                                                                                                                                                                                                        |
| Option 2                  | type                                       | enum            | The type of custom unit. Allowed enum values: `custom_unit_label`                                                                                                                                                                                                                                                                                                                                                     |
| number_format             | unit_scale                                 | object          | The definition of `NumberFormatUnitScale` object.                                                                                                                                                                                                                                                                                                                                                                     |
| unit_scale                | type                                       | enum            | The type of unit scale. Allowed enum values: `canonical_unit`                                                                                                                                                                                                                                                                                                                                                         |
| unit_scale                | unit_name                                  | string          | The name of the unit.                                                                                                                                                                                                                                                                                                                                                                                                 |
| formulas                  | style                                      | object          | Styling options for widget formulas.                                                                                                                                                                                                                                                                                                                                                                                  |
| style                     | palette                                    | string          | The color palette used to display the formula. A guide to the available color palettes can be found at [https://docs.datadoghq.com/dashboards/guide/widget_colors](https://docs.datadoghq.com/dashboards/guide/widget_colors.md)                                                                                                                                                                                      |
| style                     | palette_index                              | int64           | Index specifying which color to use within the palette.                                                                                                                                                                                                                                                                                                                                                               |
| requests                  | log_query                                  | object          | **DEPRECATED**: Deprecated - Use `queries` and `formulas` instead.                                                                                                                                                                                                                                                                                                                                                    |
| log_query                 | compute                                    | object          | Define computation for a log query.                                                                                                                                                                                                                                                                                                                                                                                   |
| compute                   | aggregation [*required*]              | string          | The aggregation method.                                                                                                                                                                                                                                                                                                                                                                                               |
| compute                   | facet                                      | string          | Facet name.                                                                                                                                                                                                                                                                                                                                                                                                           |
| compute                   | interval                                   | int64           | Define a time interval in seconds.                                                                                                                                                                                                                                                                                                                                                                                    |
| log_query                 | group_by                                   | [object]        | List of tag prefixes to group by in the case of a cluster check.                                                                                                                                                                                                                                                                                                                                                      |
| group_by                  | facet [*required*]                    | string          | Facet name.                                                                                                                                                                                                                                                                                                                                                                                                           |
| group_by                  | limit                                      | int64           | Maximum number of items in the group.                                                                                                                                                                                                                                                                                                                                                                                 |
| group_by                  | sort                                       | object          | Define a sorting method.                                                                                                                                                                                                                                                                                                                                                                                              |
| sort                      | aggregation [*required*]              | string          | The aggregation method.                                                                                                                                                                                                                                                                                                                                                                                               |
| sort                      | facet                                      | string          | Facet name.                                                                                                                                                                                                                                                                                                                                                                                                           |
| sort                      | order [*required*]                    | enum            | Widget sorting methods. Allowed enum values: `asc,desc`                                                                                                                                                                                                                                                                                                                                                               |
| log_query                 | index                                      | string          | A coma separated-list of index names. Use "*" query all indexes at once. [Multiple Indexes](https://docs.datadoghq.com/logs/indexes.md#multiple-indexes)                                                                                                                                                                                                                                                              |
| log_query                 | multi_compute                              | [object]        | This field is mutually exclusive with `compute`.                                                                                                                                                                                                                                                                                                                                                                      |
| multi_compute             | aggregation [*required*]              | string          | The aggregation method.                                                                                                                                                                                                                                                                                                                                                                                               |
| multi_compute             | facet                                      | string          | Facet name.                                                                                                                                                                                                                                                                                                                                                                                                           |
| multi_compute             | interval                                   | int64           | Define a time interval in seconds.                                                                                                                                                                                                                                                                                                                                                                                    |
| log_query                 | search                                     | object          | The query being made on the logs.                                                                                                                                                                                                                                                                                                                                                                                     |
| search                    | query [*required*]                    | string          | Search value to apply.                                                                                                                                                                                                                                                                                                                                                                                                |
[...]
